Page 1 of 2 12 LastLast
Results 1 to 10 of 14

Thread: 12.04 keeps wanting to upgrade to 12.10?

  1. #1
    Join Date
    Apr 2012
    Location
    Somewhere in Nevada...
    Beans
    142
    Distro
    Ubuntu 12.04 Precise Pangolin

    12.04 keeps wanting to upgrade to 12.10?

    So, I decided I would stick with 12.04 for now, instead of upgrading to 12.10, but for some reason, I cannot install updates anymore. When I check the Update Manager, I get a message saying that "Not all updates can be installed", and that I should run a partial upgrade. When I click that box and enter my password, I see a distribution Upgrade window. The problem is, I just want to install the usual security patches and bug fixes, not a new operating system! What should I do?

    (Also, I'm running 64 bits)
    The main difference between Windows forums and the Ubuntu forums is that the Ubuntu forums has hundreds of questions and thousands of answers, but Windows forums just have hundreds of questions.
    As for the OS X forums, I wouldn't know, I'm too poor.

  2. #2
    Join Date
    Nov 2005
    Location
    Washington State
    Beans
    2,324
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: 12.04 keeps wanting to upgrade to 12.10?

    I'm not sure why your rig is wanting to go to the latest version of Ubuntu when you don't want it to.

    I do know that sometimes the Update Manager gets stuck. In that case, open a terminal and type or paste this command...

    Code:
    sudo apt-get update
    Hit Enter, type in password, let it run

    Then type or paste this command...

    Code:
    sudo apt-get upgrade
    I've used those two commands to un-stick Update Mgr. before. This will only update your installation, NOT try to go to the latest version.

    Here's a short explanation of apt-get, which explains those two commands in a bit more detail.

    Oh, cool, here are instructions for upgrading to a newer version from the command line. That's NOT what you want to do, of course. Notice these are completely different commands.
    Last edited by Bartender; December 8th, 2012 at 07:29 PM.

  3. #3
    Join Date
    Jan 2008
    Beans
    4,757

    Re: 12.04 keeps wanting to upgrade to 12.10?

    Open System Settings, navigate to Software Sources, and remove any unwanted repositories. The Updates tab would be of relevance to you too.

  4. #4
    Join Date
    Aug 2012
    Location
    In front of the computer
    Beans
    159
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: 12.04 keeps wanting to upgrade to 12.10?

    In update manager go to "Settings...". Change the option "Notify me of a new Ubuntu version" to either "Never" or "For long-term support versions".

  5. #5
    Join Date
    Apr 2012
    Location
    Somewhere in Nevada...
    Beans
    142
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: 12.04 keeps wanting to upgrade to 12.10?

    Quote Originally Posted by Bartender View Post
    Then type or paste this command...

    Code:
    sudo apt-get upgrade
    Apt-get update worked fine, but Apt-get upgrade outputted this:

    Code:
    sudo apt-get upgrade
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    The following packages have been kept back:
      bamfdaemon dpkg-dev g++ gcc gwibber gwibber-service gwibber-service-facebook
      gwibber-service-twitter indicator-appmenu libalgorithm-diff-xs-perl libbamf0
      libbamf3-0 libc-dev-bin libc6-dev libc6-i386 libquadmath0 shotwell
      skype:i386
    The following packages will be upgraded:
      build-essential fakeroot google-chrome-unstable gwibber-service-identica
      jupiter libindicator-messages-status-provider1 linux-libc-dev manpages-dev
      unsettings
    9 upgraded, 0 newly installed, 0 to remove and 18 not upgraded.
    Need to get 39.1 MB/41.8 MB of archives.
    After this operation, 14.3 MB of additional disk space will be used.
    Do you want to continue [Y/n]? Y
    Media change: please insert the disc labeled
     'Lubuntu 12.10 _Quantal Quetzal_ - Release amd64 (20121017.1)'
    in the drive '/media/cdrom/' and press enter
    I'm not sure why it's asking for Quantal CD rom, but I don't think that's a good sign, eh?

    I looked in software sources, and unchecked the Quantal Quetzl cd rom, then noticed under the "updates" tab that no update checkboxes were checked (precise-security, precise-updates, etc). I also made sure that "Notify me of a new Ubuntu version" was only set to "For long term support versions".

    I ran sudo apt-get update and sudo apt-get upgrade, and that worked, but when I open the update manager, I still get that partial upgrade message. Any thoughts?
    The main difference between Windows forums and the Ubuntu forums is that the Ubuntu forums has hundreds of questions and thousands of answers, but Windows forums just have hundreds of questions.
    As for the OS X forums, I wouldn't know, I'm too poor.

  6. #6
    Join Date
    Jan 2008
    Beans
    4,757

    Re: 12.04 keeps wanting to upgrade to 12.10?

    Quote Originally Posted by TheGuyWithTheFace View Post
    I ran sudo apt-get update and sudo apt-get upgrade, and that worked, but when I open the update manager, I still get that partial upgrade message. Any thoughts?
    Sometimes with new packages, you have to wait until it's dependencies have been released into the repository before you can upgrade them. Apart from security updates, there's usually no need to upgrade immediately to the latest packages. So one could always have the benefit of the doubt and wait until a later time to upgrade your system.

    Out of curiosity, what is being shown in the upgrade manager as being held?

  7. #7
    Join Date
    Apr 2012
    Location
    Somewhere in Nevada...
    Beans
    142
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: 12.04 keeps wanting to upgrade to 12.10?

    I'm not sure what you mean by "held", but it shows "Important security updates", "Other updates (LP-PPA-webapps-preview)", and "Other updates (Canonical)" all as checked, but everything beneath those headers is unchecked, and I can't check or uncheck anything.

    Also, I did wait a bit before starting this thread just in case it was a one-time issue, but this has been going on for a few weeks now.
    The main difference between Windows forums and the Ubuntu forums is that the Ubuntu forums has hundreds of questions and thousands of answers, but Windows forums just have hundreds of questions.
    As for the OS X forums, I wouldn't know, I'm too poor.

  8. #8
    Join Date
    Oct 2005
    Location
    INDY
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: 12.04 keeps wanting to upgrade to 12.10?

    You may want to try
    Code:
    sudo apt-get dist-upgrade
    but pay attention to what the output of the terminal is.
    If the system wants to remove some packages abort the operation by typing n and pressing enter and then post the output from the command here.
    If there are no issues and the the terminal is showing all of the possible updates ready to go type y and pressing enter the updates should complete in good order.

    This should clear up your issues with update-manager. If there are any errors or unusual output please post here.

    And NO dist-upgrade will not upgrade the distribution release.
    See:
    Code:
    man apt
    Castles Made of Sand,
    Fall in the Sea,
    Eventually!

  9. #9
    Join Date
    Apr 2007
    Location
    Hamden, CT
    Beans
    649
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: 12.04 keeps wanting to upgrade to 12.10?

    Quote Originally Posted by TheGuyWithTheFace View Post
    Apt-get update worked fine, but Apt-get upgrade outputted this:

    Code:
    sudo apt-get upgrade
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    The following packages have been kept back:
      bamfdaemon dpkg-dev g++ gcc gwibber gwibber-service gwibber-service-facebook
      gwibber-service-twitter indicator-appmenu libalgorithm-diff-xs-perl libbamf0
      libbamf3-0 libc-dev-bin libc6-dev libc6-i386 libquadmath0 shotwell
      skype:i386
    The following packages will be upgraded:
      build-essential fakeroot google-chrome-unstable gwibber-service-identica
      jupiter libindicator-messages-status-provider1 linux-libc-dev manpages-dev
      unsettings
    9 upgraded, 0 newly installed, 0 to remove and 18 not upgraded.
    Need to get 39.1 MB/41.8 MB of archives.
    After this operation, 14.3 MB of additional disk space will be used.
    Do you want to continue [Y/n]? Y
    Media change: please insert the disc labeled
     'Lubuntu 12.10 _Quantal Quetzal_ - Release amd64 (20121017.1)'
    in the drive '/media/cdrom/' and press enter
    I'm not sure why it's asking for Quantal CD rom, but I don't think that's a good sign, eh?

    I looked in software sources, and unchecked the Quantal Quetzl cd rom, then noticed under the "updates" tab that no update checkboxes were checked (precise-security, precise-updates, etc). I also made sure that "Notify me of a new Ubuntu version" was only set to "For long term support versions".

    I ran sudo apt-get update and sudo apt-get upgrade, and that worked, but when I open the update manager, I still get that partial upgrade message. Any thoughts?
    Try these commands to clean your system up:

    Code:
    sudo apt-get -f install
    sudo apt-get autoclean
    sudo apt-get clean
    Then run:

    Code:
    sudo apt-get update && sudo apt-get upgrade
    if no errors try running the update manager again and see if the problem continues.

    Source: http://askubuntu.com/questions/80895...-upgrade-error

  10. #10
    Join Date
    Apr 2012
    Location
    Somewhere in Nevada...
    Beans
    142
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: 12.04 keeps wanting to upgrade to 12.10?

    Arpanaut, Here's the output from sudo apt-get dist upgrade:

    Code:
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    Calculating upgrade... Done
    The following packages will be REMOVED:
      libgwibber-gtk2 libgwibber2
    The following NEW packages will be installed:
      account-plugin-facebook account-plugin-twitter gir1.2-accounts-1.0
      gir1.2-signon-1.0 libaccount-plugin-1.0-0 libaccounts-glib0 libaccounts-qt1
      libgwibber-gtk3 libgwibber3 libqjson0 libsignon-extension1 libsignon-glib1
      libsignon-plugins-common1 libsignon-qt1 libunity-webapps0
      linux-headers-3.2.0-34 linux-headers-3.2.0-34-generic
      linux-image-3.2.0-34-generic signon-keyring-extension signon-plugin-oauth2
      signon-ui signond skype-bin:i386 unity-webapps-service
    The following packages will be upgraded:
      bamfdaemon gwibber gwibber-service gwibber-service-facebook
      gwibber-service-twitter indicator-appmenu libbamf0 libbamf3-0 linux-generic
      linux-headers-generic linux-image-generic shotwell skype:i386
    13 upgraded, 24 newly installed, 2 to remove and 0 not upgraded.
    Need to get 86.9 MB of archives.
    After this operation, 223 MB of additional disk space will be used.
    Do you want to continue [Y/n]? n
    Abort.
    As you said, I aborted because it wanted to remove packages.

    LuisGMarine, I tried those commands, but I still got that partial upgrade message...
    The main difference between Windows forums and the Ubuntu forums is that the Ubuntu forums has hundreds of questions and thousands of answers, but Windows forums just have hundreds of questions.
    As for the OS X forums, I wouldn't know, I'm too poor.

Page 1 of 2 12 LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •